switch to 'new' expression parser, remove support for old parser